<?php

/**
 * Define a user right (right = crud on rank + section).
 * @author valentin carruesco
 * @category Core
 * @license copyright
 */
class Right extends Entity
{
    public $id,$rank,$section,$firm,$read,$edit,$delete,$configure;
    protected $fields =
    array(
        'id' => 'key',
        'rank' => 'string',
        'section' => 'string',
        'firm' => 'int',
        'read' => 'boolean',
        'edit' => 'boolean',
        'delete' => 'boolean',
        'configure' => 'boolean'
    );
}
