<?php 
if(!$myUser->connected()) throw new Exception("Vous devez être connecté pour accéder à cette fonctionnalité",401);
if(!$myUser->can('hackpoint','read')) throw new Exception("Vous n'avez pas la permission pour executer cette fonctionnalité",403);
require_once(__DIR__.SLASH.'Resource.class.php');
$resource = Resource::provide();
?>
<div class="hackpoint">
	<div id="resource-form" class="row resource-form" data-action="hackpoint_resource_save" data-id="<?php echo $resource->id; ?>">
		<div class="col-md-12">
			<h3>Resource</h3>
			<label for="label">Libellé</label>
			<input id="label" name="label" class="form-control" placeholder="" value="<?php echo $resource->label; ?>" type="text">
			<label for="sort">Ordre</label>
			<input id="sort" name="sort" class="form-control" placeholder="" value="<?php echo $resource->sort; ?>" type="number">
			<label for="type">Type</label>
			<input id="type" name="type" class="form-control" placeholder="" value="<?php echo $resource->type; ?>" type="text">
			<label for="content">Contenu</label>
			<textarea id="content" name="content" class="form-control"><?php echo $resource->content; ?></textarea>
			<label for="sketch">Sketch</label>
			<input id="sketch" name="sketch" class="form-control" placeholder="" value="<?php echo $resource->sketch; ?>" type="number">
			<br/>
			<div onclick="hackpoint_resource_save();" class="btn btn-success"><i class="fas fa-check"></i> Enregistrer</div>
		</div>
	</div>
</div>

